sensorfw: IioAdaptor Class Reference

sensorfw

Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
IioAdaptor Class Reference

Adaptor for Industrial I/O. More...

`#include <iioadaptor.h>`

Inheritance diagram for IioAdaptor:

## Public Member Functions
virtual bool | startSensor ()
virtual void | stopSensor ()

## Static Public Member Functions
static DeviceAdaptor * | factoryMethod (const QString &id)
| Factory method for gaining a new instance of this adaptor class. More...

## Protected Member Functions
| IioAdaptor (const QString &id)
| Constructor. More...
| ~IioAdaptor ()
| Destructor. More...
bool | setInterval (const unsigned int value, const int sessionId)

## Detailed Description

Adaptor for Industrial I/O.

Adaptor for Industrial I/O. Uses SysFs driver interface in polling mode, i.e. values are read with given constant interval.

Driver interface is located in /sys/bus/iio/devices/iio:deviceX/ .

- angular_rate filehandle provides measurement values.

No other filehandles are currently in use by this adaptor.

Definition at line 49 of file iioadaptor.h.

## Constructor & Destructor Documentation

## ◆ IioAdaptor()

IioAdaptor::IioAdaptor | ( | const QString & | id | ) |
| protected

Constructor.

Protected to force externals to use factory method.

Parameters

  id | Identifier for the adaptor.

## ◆ ~IioAdaptor()

IioAdaptor::~IioAdaptor | ( |  | ) |
| protected

Destructor.

## Member Function Documentation

## ◆ factoryMethod()

static DeviceAdaptor* IioAdaptor::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for gaining a new instance of this adaptor class.

Parameters

  id | Identifier for the adaptor.

Returns
  A pointer to created adaptor with base class type.

Definition at line 82 of file iioadaptor.h.

## ◆ setInterval()

bool IioAdaptor::setInterval | ( | const unsigned int | value,
|  | const int | sessionId
| ) |  |
| protected

## ◆ startSensor()

virtual bool IioAdaptor::startSensor | ( |  | ) |
| virtual

## ◆ stopSensor()

virtual void IioAdaptor::stopSensor | ( |  | ) |
| virtual

The documentation for this class was generated from the following file:

- adaptors/iioadaptor/iioadaptor.h